import { CdmCorpusContext, CdmDataTypeDefinition, CdmObjectReferenceBase, cdmObjectType, resolveOptions, VisitCallback } from '../internal';
export declare class CdmDataTypeReference extends CdmObjectReferenceBase implements CdmDataTypeReference {
    static get objectType(): cdmObjectType;
    constructor(ctx: CdmCorpusContext, dataType: string | CdmDataTypeDefinition, simpleReference: boolean);
    getObjectType(): cdmObjectType;
    /**
     * @internal
     */
    copyRefObject(resOpt: resolveOptions, refTo: string | CdmDataTypeDefinition, simpleReference: boolean, host?: CdmObjectReferenceBase): CdmObjectReferenceBase;
    /**
     * @internal
     */
    visitRef(pathFrom: string, preChildren: VisitCallback, postChildren: VisitCallback): boolean;
}
